org.eclipse.microprofile.rest.client.tck.timeout

## Class TimeoutTestBase

- java.lang.Object
- - org.jboss.arquillian.testng.Arquillian
  - - org.eclipse.microprofile.rest.client.tck.WiremockArquillianTest
    - - org.eclipse.microprofile.rest.client.tck.timeout.TimeoutTestBase

All Implemented Interfaces:
  org.testng.IHookable, org.testng.ITestNGListener

Direct Known Subclasses:
  TimeoutBuilderIndependentOfMPConfigTest, TimeoutTest, TimeoutViaMPConfigTest, TimeoutViaMPConfigWithConfigKeyTest

    public abstract class TimeoutTestBase
    extends WiremockArquillianTest

### Nested Class Summary

### Nested classes/interfaces inherited from class org.jboss.arquillian.testng.Arquillian

`org.jboss.arquillian.testng.Arquillian.UpdateResultListener`

### Field Summary

Fields
`protected static int` `ROUNDING_FACTOR_CUSHION`
`protected static int` `TIMEOUT_CUSHION`
`protected static String` `UNUSED_URL`

### Fields inherited from class org.jboss.arquillian.testng.Arquillian

`ARQUILLIAN_DATA_PROVIDER`

### Constructor Summary

Constructors
Constructor and Description
`TimeoutTestBase()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`protected abstract void` `checkTimeElapsed(long elapsedMS)`
`protected abstract SimpleGetApi` `getClientWithConnectTimeout()`
`protected abstract SimpleGetApi` `getClientWithReadTimeout()`
`void` `testConnectTimeout()`
`void` `testReadTimeout()`

### Methods inherited from class org.eclipse.microprofile.rest.client.tck.WiremockArquillianTest

`getPort, getServerURI, getServerURL, getStringURL, setupServer`

### Methods inherited from class org.jboss.arquillian.testng.Arquillian

`arquillianAfterClass, arquillianAfterSuite, arquillianAfterTest, arquillianArgumentProvider, arquillianBeforeClass, arquillianBeforeSuite, arquillianBeforeTest, run`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### UNUSED_URL

    protected static final String UNUSED_URL

#### TIMEOUT_CUSHION

    protected static final int TIMEOUT_CUSHION

#### ROUNDING_FACTOR_CUSHION

    protected static final int ROUNDING_FACTOR_CUSHION

### Constructor Detail

#### TimeoutTestBase

    public TimeoutTestBase()

### Method Detail

#### testConnectTimeout

    public void testConnectTimeout()
                            throws Exception

Throws:
  `Exception`

#### testReadTimeout

    public void testReadTimeout()
                         throws Exception

Throws:
  `Exception`

#### getClientWithReadTimeout

    protected abstract SimpleGetApi getClientWithReadTimeout()

#### getClientWithConnectTimeout

    protected abstract SimpleGetApi getClientWithConnectTimeout()

#### checkTimeElapsed

    protected abstract void checkTimeElapsed(long elapsedMS)